Bug 1278322 - JobExecutor: Creating Filter where ID equals_to a job_id results in error
JobExecutor: Creating Filter where ID equals_to a job_id results in error
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Neus Miras
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 04:27 EST by Pavel Kralik
Modified: 2015-11-18 09:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Job search filter modal dialog (25.04 KB, image/png)
2015-11-05 04:27 EST, Pavel Kralik
no flags Details
BPMS 6.2.0.ER5 server.log (1.46 MB, text/plain)
2015-11-05 04:29 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-05 04:27:22 EST
Created attachment 1089992 [details]
Job search filter modal dialog

Description of problem:
When creating Job search filter where ID equals_to some job ID results in modal dialog: Can't lookup on specified data set: jbpmRequestList

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER5

How reproducible:
Always

Steps to Reproduce:
1. In Job perspective go and create Job filter
2. As a condition select ID equals_to <job_id> and hit Ok.

Actual results:
Modal dialog and an error in server.log

Expected results:
Filter created

Additional info:
10:12:38,391 ERROR [org.dashbuilder.dataprovider.backend.sql.JDBCUtils] (http-localhost/127.0.0.1:8080-4) SELECT COUNT(*) FROM (SELECT ID, TIMESTAMP, STATUS, COMMANDNAME, MESSAGE, BUSINESSKEY FROM REQUESTINFO WHERE ID = 'true' ORDER BY TIMESTAMP ASC) "dbSQL"
10:12:38,392 ERROR [org.dashbuilder.dataset.backend.exception.ExceptionManager] (http-localhost/127.0.0.1:8080-4) Can't lookup on specified data set: jbpmRequestList: org.dashbuilder.dataset.exception.DataSetLookupException: Can't lookup on specified data set: jbpmRequestList
...
Caused by: org.h2.jdbc.JdbcSQLException: Data conversion error converting "true"; SQL statement:
SELECT COUNT(*) FROM (SELECT ID, TIMESTAMP, STATUS, COMMANDNAME, MESSAGE, BUSINESSKEY FROM REQUESTINFO WHERE ID = 'true' ORDER BY TIMESTAMP ASC) "dbSQL" [22018-168]
Comment 1 Pavel Kralik 2015-11-05 04:29 EST
Created attachment 1089994 [details]
BPMS 6.2.0.ER5 server.log
Comment 3 Neus Miras 2015-11-10 07:24:16 EST
There were a problem with the dataset condition marshaling that has been solved in 
6.3.x
https://github.com/droolsjbpm/jbpm-console-ng/commit/b9ee18604c21730050ad4af3048b00cc996c0c2c

In master this json code marshaling is included in dashbuilders modules.
Comment 4 Pavel Kralik 2015-11-18 09:30:35 EST
BPMS 6.2.0.CR1

Note You need to log in before you can comment on or make changes to this bug.